Package de.gebit.integrity.parameter.conversion

## Enum UnresolvableVariableHandling

- java.lang.Object
- - java.lang.Enum<UnresolvableVariableHandling>
  - - de.gebit.integrity.parameter.conversion.UnresolvableVariableHandling

- All Implemented Interfaces:
    `Serializable`, `Comparable<UnresolvableVariableHandling>`

      public enum UnresolvableVariableHandling
      extends Enum<UnresolvableVariableHandling>

  This enum offers various ways in which unresolvable variables are to be handled during conversions.
  Author:
    Rene Schneider - initial API and implementation

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `EXCEPTION` | Throw an exception.
    `KEEP_UNRESOLVED` | Keep the variable reference as-is.
    `RESOLVE_TO_NAME_STRING` | Resolve to a string with the name of the variable.
    `RESOLVE_TO_NULL_VALUE` | Resolve to null (the value, not the string 'null').
    `RESOLVE_TO_UNRESOLVABLE_OBJECT` | Resolve to the string '???'.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static UnresolvableVariableHandling` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static UnresolvableVariableHandling[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXCEPTION

          public static final UnresolvableVariableHandling EXCEPTION

      Throw an exception.

    - #### RESOLVE_TO_NULL_VALUE

          public static final UnresolvableVariableHandling RESOLVE_TO_NULL_VALUE

      Resolve to null (the value, not the string 'null').

    - #### RESOLVE_TO_NAME_STRING

          public static final UnresolvableVariableHandling RESOLVE_TO_NAME_STRING

      Resolve to a string with the name of the variable.

    - #### RESOLVE_TO_UNRESOLVABLE_OBJECT

          public static final UnresolvableVariableHandling RESOLVE_TO_UNRESOLVABLE_OBJECT

      Resolve to the string '???'.

    - #### KEEP_UNRESOLVED

          public static final UnresolvableVariableHandling KEEP_UNRESOLVED

      Keep the variable reference as-is.

  - ### Method Detail

    - #### values

          public static UnresolvableVariableHandling[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnresolvableVariableHandling c : UnresolvableVariableHandling.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnresolvableVariableHandling valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null